Retail Express API 2.1

Updates specific Receipt Variance Reason by id

Sample request:

PUT /receiptvariancereasons/1
{
    "name": "new name",
    "enabled": false
}
put
https://api.retailexpress.com.au/v2.1/receiptvariancereasons/{id}

Path Parameters

idinteger(int32)required

Receipt Variance Reason id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Receipt Variance Reason model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Receipt Variance Reason was updated

ReceiptVarianceReason

Receipt Variance Reason Model

* Additional properties are NOT allowed.
idinteger(int32)

Receipt Variance Reason Id.

namestring | null

Receipt Variance Reason name

>= 0 characters<= 100 characters

enabledboolean

Is Receipt Variance Reason Enabled

Default:true

created_onstring | null(date-time)

Created on

created_byobject
* Additional properties are NOT allowed.
Show Child Parameters
modified_onstring | null(date-time)

Modified on

modified_byobject
* Additional properties are NOT allowed.
Show Child Parameters
put/receiptvariancereasons/{id}

Body

{}
 
application/json

Searches Receipt Variance Reasons by parameters

Searches Receipt Variance Reasons by parameters

get
https://api.retailexpress.com.au/v2.1/receiptvariancereasons

Query Parameters

filter_bystring | null

Filter by.
Available field name values: enabled

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: created_on:gte:2021-06-03T05:48:09+10:00,created_by_id:in:2|432

order_bystring | null

Order by.

Available field name values: id, name, enabled, created_on, created_by_id, created_by_first_name, created_by_surname, modified_on, modified_by_id, modified_by_first_name, modified_by_surname

Available direction values: asc, desc.

Example: id asc, product_id desc

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Receipt Variance Reasons data

ReceiptVarianceReason.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Receipt Variance Reason Model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/receiptvariancereasons
 
application/json

Creates Receipt Variance Reason

Sample request:

POST /receiptvariancereasons
{
    "name": "Receipt Variance Reason Name",
    "enabled": true
}
post
https://api.retailexpress.com.au/v2.1/receiptvariancereasons

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Receipt Variance Reason model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Receipt Variance Reason created

ReceiptVarianceReason

Receipt Variance Reason Model

* Additional properties are NOT allowed.
idinteger(int32)

Receipt Variance Reason Id.

namestring | null

Receipt Variance Reason name

>= 0 characters<= 100 characters

enabledboolean

Is Receipt Variance Reason Enabled

Default:true

created_onstring | null(date-time)

Created on

created_byobject
* Additional properties are NOT allowed.
Show Child Parameters
modified_onstring | null(date-time)

Modified on

modified_byobject
* Additional properties are NOT allowed.
Show Child Parameters
post/receiptvariancereasons

Body

{}
 
application/json

returnreasons

Searches Return Reasons by parameters

Searches Return Reasons by parameters

get
https://api.retailexpress.com.au/v2.1/returnreasons

Query Parameters

order_bystring | null

Order by.

Available field name values: id, name, enabled, created_on, modified_on.

Available direction values: asc, desc.

Example: id asc, name desc

filter_bystring | null

Filter by.
Available field name values: id, name, enabled, created_on, modified_on.

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: name:eq:Cashier Error

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Return Reasons data

ReturnReason.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Return Reason Model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/returnreasons
 
application/json